# Function withTimeout

- withTimeout<T>(promise, timeout, abortController?): Promise<T>

- Promise will be rejected after timeout.

  #### Type Parameters

  - T

  #### Parameters

  - promise: Promise<T>
  - timeout: number

    ms

  - `Optional` abortController: AbortController

    trigger abort

  #### Returns Promise<T>

  - Defined in work/deeplinks/deeplinks/imports/cyber/utils/helpers.ts:12